Whitespace fix for irb.rb
Status: Rejected   

Priority: Normal   

Assignee: drbrain (Eric Hodel)   

Target version: 1.9.3   

Description

Just converting tabs to spaces, as per guidelines.

Associated revisions

Revision 705b1bdef2caf1bee052384b3c62c201f4fa5479 - 07/27/2021 12:25 AM - haines (Andrew Haines)

[rubygems/rubygems] Fix interrupt handling in Bundler workers

The existing interrupt handling using SharedHelpers.trap fails when the previous

handler for a signal is not callable (for example, when it is the string "DEFAULT").

Instead, we now handle interrupts by aborting the process when worker threads are

running, and restore the previous handler after worker threads are finished.

Fixes #4764.

https://github.com/rubygems/rubygems/commit/b9f455d487

Revision 705b1bdef2caf1bee052384b3c62c201f4fa5479 - 07/27/2021 12:25 AM - haines (Andrew Haines)

[rubygems/rubygems] Fix interrupt handling in Bundler workers

The existing interrupt handling using SharedHelpers.trap fails when the previous

handler for a signal is not callable (for example, when it is the string "DEFAULT").

Instead, we now handle interrupts by aborting the process when worker threads are

running, and restore the previous handler after worker threads are finished.

Fixes #4764.

https://github.com/rubygems/rubygems/commit/b9f455d487

Revision 705b1bde - 07/27/2021 12:25 AM - haines (Andrew Haines)

[rubygems/rubygems] Fix interrupt handling in Bundler workers

The existing interrupt handling using SharedHelpers.trap fails when the previous

handler for a signal is not callable (for example, when it is the string "DEFAULT").

Instead, we now handle interrupts by aborting the process when worker threads are

running, and restore the previous handler after worker threads are finished.

Fixes #4764.

https://github.com/rubygems/rubygems/commit/b9f455d487

History

#1 - 05/23/2011 08:59 AM - drbrain (Eric Hodel)

- Status changed from Open to Rejected

We've already converted all the ruby files from tabs to spaces, maybe git trunk was a bit out of date when you did this work.

Sorry, I can't apply it.

#2 - 05/23/2011 12:25 PM - zmack (Andrei Bocan)

Ah quite, was working on an older repo.
Thank you for pointing that out :)

Files

0001-Fix-whitespace-for-lib-irb.rb.patch 10.5 KB 05/23/2011 zmack (Andrei Bocan)
